Skip to main content

Scoring Format

Floorball uses three 20-minute periods. The /scores endpoint returns:
{
  "homeScore": { "period1": 2, "period2": 1, "period3": 1, "current": 4 },
  "awayScore": { "period1": 1, "period2": 2, "period3": 0, "current": 3 }
}
  • period1period3 = goals per period (P1, P2, P3)
  • overtime appears in knockout matches
  • Similar to ice hockey structure

Match Details

GET /api/match/:matchId

Scores

GET /api/match/:matchId/scores
Period-by-period scores (P1, P2, P3, OT).

Lineups

GET /api/match/:matchId/lineups
Starting players + substitutes per team.

Match Statistics

GET /api/match/:matchId/statistics
Shots, saves, penalties, power play goals.

Incidents

GET /api/match/:matchId/incidents
Goals, penalties, cards, period breaks.

All Player Statistics

GET /api/match/:matchId/player-statistics

Individual Player Stats

GET /api/match/:matchId/player/:pid/statistics

Best Players

GET /api/match/:matchId/best-players

Match Award

GET /api/match/:matchId/award

Head-to-Head

GET /api/match/:matchId/h2h
History between the two teams.

Scoring Progression

GET /api/match/:matchId/graph

Pre-Match Form

GET /api/match/:matchId/pregame-form

Streaks

GET /api/match/:matchId/streaks

Highlights

GET /api/match/:matchId/highlights

Match Media

GET /api/match/:matchId/media

Fan Predictions

GET /api/match/:matchId/votes

TV Channels

GET /api/match/:matchId/channels
GET /api/match/:matchId/odds

All Odds Providers

GET /api/match/:matchId/odds/all

Pre-Match Odds

GET /api/match/:matchId/odds/pre-match

Live Odds

GET /api/match/:matchId/odds/live

Win Probability

GET /api/match/:matchId/winning-odds
Last modified on April 12, 2026